Support » Plugin: oik-nivo-slider » Dependency checking issue with oik v2.4

  • ResolvedPlugin Author bobbingwide

    (@bobbingwide)


    I received a report of a problem with dependency checking performed by oik-nivo-slider.

    I need to perform some tests but it would appear that, if you’re currently using oik v2.4 or earlier you need to update v3.0.0 before upgrading oik-nivo-slider to 1.14.2.

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author bobbingwide

    (@bobbingwide)

    If the problem occurs on your website you’ll see a message when you log in the dashboard.

    Fatal error: Cannot redeclare oik_depends() (previously declared in \wp-content\plugins\oik\oik_boot.inc:138) in \wp-content\plugins\oik-nivo-slider\admin\oik-activation.php on line 249

    To recover you will need to

    1. rename the newly updated oik-nivo-slider folder,
    2. update the oik base plugin
    3. and then rename the oik-nivo-slider folder back again.

    When you first rename the oik-nivo-slider folder you should see a message similar to this:
    The plugin oik-nivo-slider/oik-nivo-slider.php has been deactivated due to an error: Plugin file does not exist.

    Note: The problem does not appear to occur if another plugin which performs dependency checking on oik, such as cookie-cat, is also active.

    Plugin Author bobbingwide

    (@bobbingwide)

    Just to confirm that this was fixed a long time ago, in v1.14.3
    v1.14.4 also contains this fix.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Dependency checking issue with oik v2.4’ is closed to new replies.